View Issue Details

IDProjectCategoryView StatusLast Update
0000671Main CAcert WebsiteAudit issuespublic2015-02-16 09:44
ReporteriangAssigned ToUli60 
PrioritynormalSeveritytextReproducibilityalways
Status solved?Resolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000671: cms pages in online website need review for deprecation
DescriptionPages on the website are old and needs serious review. Some pages are deprecated by policies in force, some pages will be deprecated by policies in force.

Because the position of the CA is that formal POLICIES are placed on the main website, this means that the CA is delivering a confused and sometimes deceptive message by its own standards.

E.g., http://www.cacert.org/index.php?id=19 is probably deprecated by AP and CPS.
Additional Informationid8 this is the association, it should have its own page,
    like /wiki/CAcertIncorporated
    menu link About CAcert Board redirects to http://wiki.cacert.org/Board
    http://www.cacert.org/index.php?id=8 is still displaying list within webdb
    re-open bug 0000910 (should be fixed since 2011-03-16

id10 PP => /policy/ page and drop the id10 page, fix up links, also id=39 (!)
    => 0000921 now links to http://www.cacert.org/policy/PrivacyPolicy.html

id11 (Cotact Us - contact form) comment on passwords differs from
     #xx on passwords
    probably support should re-do the whole page after SM section
    Probably needs some comment about filing a Dispute
    => "Lost Password" topic still redirects to wiki page
       http://wiki.cacert.org/FAQ/LostPasswordOrAccount
       that is maintained by Support

id12 (About CAcert.org) read carefully, might be out of date
    => https://wiki.cacert.org/FAQ/AboutUs
       still needs fixed

id13 (Donations) "strict guidelines" please provide reference
     => still needs fixed

id17 ? is this accurate? Should this be on the website?
     => still needs fixed

id19 AP deprecates this already, CPS will kill the rest.
     Refer to a wiki page or drop the page.
     => see bug 0000897, https://wiki.cacert.org/FAQ/Privileges

help.php delete / redirect to wiki
     => see bug 0000940, https://wiki.cacert.org/HELP/

help.php?id=7 CPS & SM will deprecate
     => see bug 0000940, https://wiki.cacert.org/HELP/7

logos.php delete / redirect to wiki or svn
     => see bug 0000940, https://wiki.cacert.org/HELP/logos
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000673 closed wot.php Assurance Confirmation page has errors 
related to 0000910 closedTed Replace "Board" list under http://www.cacert.org/index.php?id=8 with Wiki Link 
related to 0000897 closedUli60 Prerequisites to do code signing differ in About->Point System and CPS 
related to 0000921 closedUli60 http://www.cacert.org/index.php?id=10 fixes PP (Privacy Policy) 
related to 0001113 needs workBenBE Change english textes according to the wiki page https://wiki.cacert.org/Software/TranslationMisspelling 
parent of 0000965 needs workNEOatNHNG Outsource / fix Webdb text pages id=12, 13, (17) 
parent of 0000964 closed VBscript, Weak Keys script 4.php, 17.php to combine / select box key size and lower limit to 2048 
parent of 0000740 closed How to become an assurer is missleading 
parent of 0000650 needs work Misleading information in website content 
related to 0000940 closedTed Outsource Webdb text pages help.php?id=0..9 to wiki 
related to 0000941 needs workUli60 Policy Repository Migration 
related to 0000927 new VBScript error when trying to install certificate in IE8 
related to 0000901 new Renewal of certificate with WIN 7 and IE8 
related to 0000847 needs feedback Key stength is not available for creating client certificate 
related to 0001112 closed Exchange the text on the TTP page according to the new TTP programm 
related to 0000602 closed navigation bar - About CAcert.org Menu section missing if logged in 
Not all the children of this issue are yet resolved or closed.

Activities

iang

2009-01-31 18:24

developer   ~0001271

(in above, the "bug numbers" are actually id=numbers on the CMS).

iang

2009-01-31 18:24

developer   ~0001272

Another set of pages on the online site, rooted from "wot.php" are out of date and need replacement.

wot.php?id=2,3,4,7,15,16? All these pages, information should be dropped, and referred to Assurance Handbook and Assurance Policy.

wot.php?id=11 replace text with something like "Please see wiki/OrganisationAssurance for more information."

wot.php?id=14 DELETE that facility and page.

Please confirm that pages stop after around 15.

Sourcerer

2009-11-20 23:21

administrator   ~0001514

Could you please provide specific texts for the replacement?

Sourcerer

2010-08-05 13:07

administrator   ~0001619

I have dropped the link on the startpage to the help.php now.

Can someone please copy those information that are still on the www.cacert.org/help.php to the wiki and remove all references from the wiki to www.cacert.org/help.php... ? Please notify this bugreport when done, then we can drop the help.php (and subpages).

Uli60

2011-04-14 01:26

updater   ~0001919

0000019 AP deprecates this already, CPS will kill the rest. Refer to a wiki page or drop the page.
redirect/link to
https://wiki.cacert.org/FAQ/Privileges

Uli60

2011-04-16 10:09

updater   ~0001929

http://www.cacert.org/index.php?id=19 fix in seperate bug#
https://bugs.cacert.org/view.php?id=897

Uli60

2011-04-16 10:09

updater   ~0001930

http://www.cacert.org/index.php?id=19 fix in seperate bug#
https://bugs.cacert.org/view.php?id=897

Uli60

2011-05-09 14:50

updater   ~0001953

help.php and subpages migration split to
https://bugs.cacert.org/view.php?id=940
wiki pages created
wiki.cacert.org/HELP and wiki.cacert.org/HELP/# where # = 0..9

Uli60

2011-07-28 11:50

updater   ~0002218

Last edited: 2011-07-28 11:52

View 2 revisions

this bug is splitted to several individual bug numbers
about 4 more to go:
id 8,12,13,17

Uli60

2015-02-16 09:44

updater   ~0005324

all related http://www.cacert.org/index.php?id=?
have been fixed so far

Issue History

Date Modified Username Field Change
2009-01-22 19:27 iang New Issue
2009-01-31 18:24 iang Note Added: 0001271
2009-01-31 18:24 iang Note Added: 0001272
2009-11-20 23:21 Sourcerer Note Added: 0001514
2009-11-30 17:21 iang Relationship added related to 0000673
2010-08-05 13:07 Sourcerer Note Added: 0001619
2011-04-14 01:26 Uli60 Note Added: 0001919
2011-04-14 01:27 Uli60 Relationship added related to 0000910
2011-04-14 01:27 Uli60 Relationship added related to 0000897
2011-04-16 10:09 Uli60 Note Added: 0001929
2011-04-16 10:09 Uli60 Note Added: 0001930
2011-04-17 02:10 Uli60 Relationship added related to 0000921
2011-05-09 14:38 Uli60 Relationship added related to 0000940
2011-05-09 14:44 Uli60 Relationship added related to 0000941
2011-05-09 14:50 Uli60 Note Added: 0001953
2011-07-28 10:31 Uli60 Additional Information Updated View Revisions
2011-07-28 11:48 Uli60 Additional Information Updated View Revisions
2011-07-28 11:50 Uli60 Assigned To => Uli60
2011-07-28 11:50 Uli60 Note Added: 0002218
2011-07-28 11:50 Uli60 Status new => needs work
2011-07-28 11:52 Uli60 Note Edited: 0002218 View Revisions
2011-07-28 11:56 Uli60 Additional Information Updated View Revisions
2011-07-28 12:06 Uli60 Relationship added parent of 0000965
2011-07-28 19:57 Uli60 Relationship added parent of 0000964
2011-08-23 12:31 Uli60 Relationship added related to 0000927
2011-08-23 12:33 Uli60 Relationship added related to 0000901
2011-08-23 12:34 Uli60 Relationship added related to 0000847
2011-09-17 20:15 Uli60 Relationship added parent of 0000740
2011-09-17 22:38 Uli60 Relationship added parent of 0000650
2012-06-27 09:26 Uli60 Relationship added related to 0000591
2012-06-27 09:26 Uli60 Relationship deleted related to 0000591
2013-01-11 15:30 Werner Dworak Relationship added related to 0001113
2013-01-15 08:07 Uli60 Relationship added related to 0001112
2013-01-22 22:09 Uli60 Relationship added related to 0000602
2015-02-16 09:44 Uli60 Note Added: 0005324
2015-02-16 09:44 Uli60 Status needs work => solved?
2015-02-16 09:44 Uli60 Resolution open => fixed